Subject: Re: [Bitcoin-development] ECDH in the payment protocol

From: Mike Hearn <[email-masked]>
Date: Fri, 9 May 2014 18:12:46 +0200

>
> The exact same way you're proposing: via the payment protocol.
>

Ah, I see, that's what I was missing. So rather than have an explicit
repeated field for nonces, have an algorithm for extracting randomness from
one of the scriptSigs. I guess that makes sense.